//	DocTextCharStream.h
//	Copyright:	 1994 - 1996 by Apple Computer, Inc., all rights reserved.

#pragma once
#ifndef DocTextCharStream_h
#define DocTextCharStream_h

#pragma import on

#include "IACharStream.h"
#include "IACorpus.h"

#pragma IA_BEGIN_EXPORTS

class DocTextCharStream : public IACharStream {
public:
				DocTextCharStream() : IACharStream(), docText(NULL) {}
				DocTextCharStream(IADocText* text) : IACharStream(), docText(text) {}
//				DocTextCharStream(DocTextCharStream& dtcs) : IACharStream(dtcs) {}
			 	~DocTextCharStream();

	uint32		GetNextBuffer(char* buffer, uint32 bufferLen);
private:
	IADocText*		docText;
	
};

#pragma IA_END_EXPORTS

#pragma import reset

#endif
