/*
	File:		ShortWordFilter.h

	Contains:	xxx put contents here xxx

	Version:	xxx put the technology version here xxx

	Copyright:	 1997 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				David Csseres

		Other Contact:		xxx put alternate contact (owners functional manager) here xxx

		Technology:			xxx put the technology group name here xxx

	Writers:

		(dgc)	David Csseres

	Change History (most recent first):

		 <5>	 1/22/97	dgc		Bug Fix Changes
*/

// ShortWordFilter.h
//	Copyright:	 1994 - 1996-1997 by Apple Computer, Inc., all rights reserved.

#pragma once
#ifndef ShortWordFilter_h
#define ShortWordFilter_h

#pragma import on

#include "IAAnalysis.h"

#pragma IA_BEGIN_EXPORTS

const uint32 MinWordLength = 3;

class ShortWordFilter : public IATokenFilter {
public:
						ShortWordFilter(IATokenStream* s, uint32 l = MinWordLength)
							: minWordLength(l), IATokenFilter(s) {}
	virtual IAToken*	GetNextToken();
private:
	bool	IsAllAlpha(byte* str);
	uint32 minWordLength;
};

#pragma IA_END_EXPORTS

#pragma import reset
#endif
