// StringTerm.h
//	Copyright:	 1994 - 1996 by Apple Computer, Inc., all rights reserved.

#pragma once
#ifndef StringTerm_h
#define StringTerm_h

#pragma import on

#include "IAAnalysis.h"

#pragma IA_BEGIN_EXPORTS

class StringTerm : public IATerm {
public:
				StringTerm(const char* text);
				StringTerm(const char* t, uint32 l) : IATerm((byte*)t, l) {}

	IAStorable*	DeepCopy() const;
	
	char*		Text() { return (char*)GetData(); }
	uint32		TextLen() { return GetDataLength(); }
private:
				StringTerm(StringTerm& st);		// don't define a copy constructor

};

#pragma IA_END_EXPORTS

#pragma import reset
#endif