/*
	File:		OneByteAnalysis.h

	Contains:	class OneByteAnalysis

	Version:	1.0

	Copyright:	 1994 - 1997 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Farzin Maghoul

		Other Contact:		Kevin Tiene

		Technology:			xxx put the technology group name here xxx

	Writers:

		(dgc)	David Csseres

	Change History (most recent first):

		 <3>	 1/22/97	dgc		Fix up this header
		 <2>	 1/16/97	dgc		Correct type id.
*/

#pragma once
#ifndef OneByteAnalysis_h
#define OneByteAnalysis_h

#pragma import on

#include "IAAnalysis.h"

#pragma IA_BEGIN_EXPORTS

const uint32		OneByteAnalysisType = '1Bt1';

class OneByteAnalysis : public IAAnalysis {
public:
					OneByteAnalysis() : IAAnalysis(OneByteAnalysisType) {}

	IATokenStream*	MakeTokenStream(IADocText* text);
	IATerm*			GetProtoTerm();
};

#pragma IA_END_EXPORTS

#pragma import reset

#endif
