// HighFreqTerms.h
//	Copyright:	 1994 - 1996 by Apple Computer, Inc., all rights reserved.

#pragma once
#ifndef HighFreqTerms_h
#define HighFreqTerms_h

#pragma import on

#include "TermIndex.h"

#pragma IA_BEGIN_EXPORTS

struct FreqTerm {
	uint32	freq;
	IATerm*	term;
private:
	void*	operator new(size_t size);		// stack or array allocate only
};

// results should be freed with IAFreeArray() 
FreqTerm* GetHighFreqTerms(TermIndex* index, uint32* nTerms);

#pragma IA_END_EXPORTS

#pragma import reset

#endif
